<template>
	<view style="background-color: #fff;" v-if="content != null">
		<view
			style="height: 100rpx;display: flex;align-items: center;justify-content: space-around;border-bottom: 1px solid #ceccca;"
			v-if="type == 0">
			<!-- <u-tabs :list="list1"  :current="current" @click="click"></u-tabs> -->
			<view class="tab" :class="current==0?'active':''" @click="current = 0">
				待办内容
			</view>
			<view style="border-left: 1px solid #ceccca;height: 80%;">

			</view>
			<view class="tab" :class="current==0?'':'active'" @click="current = 1">
				流转记录
			</view>
		</view>
		<swiper style="background-color:#fff ;" :style="{height:type==0?'calc(100vh - 100rpx)':'100vh'}"
			:current="current" disable-touch>
			<swiper-item>
				<view style="height: 100%;overflow: auto;">
					<u--form labelPosition="left" labelAlign="center" :model="content" ref="uForm"
						:labelStyle="{fontSize:'32rpx'}" labelWidth="100">
						<u-form-item label="来文标题:" borderBottom ref="item1">
							<view class="content">
								{{content.title}}
								<!-- <u--input v-model="content.title" border="none" :readonly='isEdit'></u--input> -->
							</view>
						</u-form-item>
						<u-form-item label="来文单位:" borderBottom ref="item1">
							<view class="content">
								{{content.sender}}
								<!-- <u--input v-model="content.sender" border="none" :readonly='isEdit'></u--input> -->
							</view>
						</u-form-item>
						<u-form-item label="来文日期:" borderBottom ref="item1">
							<!-- @click="typeChange('laiwen')" -->
							<view class="content">
								{{content.sendTime}}
							</view>
						</u-form-item>
						<u-form-item label="流水号:" borderBottom ref="item1">
							<view class="content">
								<!-- :readonly='isEdit' -->
								{{content.serial}}
								<!-- <u--input v-model="content.serial" border="none" readonly></u--input> -->
							</view>
						</u-form-item>
						<u-form-item label="文件字号:" borderBottom ref="item1">
							<view class="content">
								{{content.documentNum}}
								<!-- <u--input v-model="content.documentNum" border="none" readonly></u--input> -->
							</view>
						</u-form-item>
						<u-form-item label="紧急程度:" borderBottom ref="item1">
							{{content.status}}
							<!-- <uni-data-select v-model="content.emergencyDegree" :clear="false" placeholder="请选择紧急程度"
								:localdata="statusList"></uni-data-select> -->
						</u-form-item>
						<u-form-item label="密级:" borderBottom ref="item1">
							{{content.miji}}
							<!-- <uni-data-select v-model="content.degree" :clear="false" placeholder="请选择紧急程度"
								:localdata="mijiList"></uni-data-select> -->
						</u-form-item>
						<u-form-item label="文件类型:" borderBottom ref="item1">
							{{content.wjtype}}
							<!-- <uni-data-select v-model="content.receiveType" :clear="false" placeholder="请选择文件类型"
								:localdata="wjType"></uni-data-select> -->
						</u-form-item>
						<u-form-item label="正文查看:" borderBottom ref="item1">
							<view>
								<!-- <u--text :text="content.sendFile.name" :href="content.sendFile.url"></u--text> -->
								<u--text size="30rpx" :lines="3" color="#2979FF" :text="content.sendFile.name"
									@click="downLoad(content.sendFile.path)"></u--text>
							</view>
						</u-form-item>
						<u-form-item label="附件查看:" borderBottom ref="item1">
							<view v-if="content.fujianFileList != null && content.fujianFileList.length != 0 ">
								<u--text :text="v.yfile.name" :lines="3" v-for="(v,i) in content.fujianFileList"
									:key="i" size="30rpx" color="#2979FF" @click="downLoad(v.yfile.path)"></u--text>
							</view>
						</u-form-item>
						<u-form-item label="反馈文件:" borderBottom ref="item1" v-if="content.isFeedback === '1' ">
							<view style="display: inline;" class="example-body">
								<u-button v-if='type==0' style="width:380rpx" type="primary"
									@click="uploadPic()">上传</u-button>
								<!-- 展示 -->
								<div style="display: inline;">
									<view style="margin-bottom: 30rpx;display: flex;margin-top: 4rpx;"
										v-for="v in rowThis.ywFileList" :key="v.fileId">
										<u-icon style="margin-top: 4rpx;color: #2979FF;" name="attach"></u-icon><u--text
											:lines="1" size="14" color="#2979FF" decoration="underline" :text="v.name"
											@click="downLoad(v.url)">{{v.name}}</u--text>
										<u-icon @click="delFile(v)" style="margin-top: 0rpx;" name="close"></u-icon>
									</view>
								</div>
								<view v-if="content.feedbackFileList != null && content.feedbackFileList.length != 0 ">
									<view style="margin-bottom: 30rpx;display: flex;margin-top: 4rpx;"
										v-for="v in  content.feedbackFileList" :key="v.fileId">
										<u-icon style="margin-top: 4rpx;color: #2979FF;" name="attach"></u-icon><u--text
											:lines="1" size="14" color="#2979FF" decoration="underline"
											:text="v.yfile.name"
											@click="downLoad(v.yfile.url)">{{v.yfile.name}}</u--text><u-icon <!--
											@click="delFile(v)" style="margin-top: 0rpx;" name="close"></u-icon> -->
									</view>
								</view>
							</view>
							<u-action-sheet @select="selectClick" :actions="listPic" :closeOnClickOverlay="true"
								:closeOnClickAction="true" title="请选择" :show="showUpload"></u-action-sheet>

						</u-form-item>

						<view v-if="type==0" style="padding-bottom: 40rpx;">
							<u-form-item label="下一节点:" borderBottom ref="item1" v-if="overType==false">
								<uni-data-select v-model="content.jdindex" placeholder="请选择下一节点" :localdata="list"
									:clear="false" @change="change"></uni-data-select>
							</u-form-item>
							<u-form-item label="处理人员:" borderBottom v-if="DeliveryWay==4" ref="item1"
								@click="choosePeo">
								<view :style="{color:content.users==null?'rgb(192, 196, 204)':''}">
									{{content.users==null?'请选择人员': content.userList}}
								</view>
							</u-form-item>
							<u-form-item label="审批意见:" borderBottom ref="item1" v-if="gdType == false">
								<u--textarea v-model="content.reviewMsg" placeholder="请输入审批意见" autoHeight
									border="none"></u--textarea>
							</u-form-item>
							<view v-if="gdType == true">
								<!-- <u-form-item label="密级:" borderBottom ref="item1">
									<uni-data-select v-model="content.levels" placeholder="请选择密级" :clear="false"
										:localdata="gd"></uni-data-select>
								</u-form-item> -->
								<u-form-item label="档案编号:" borderBottom ref="item1">
									<u--input v-model="content.archiveNo" placeholder="请输入档案编号"
										border="none"></u--input>
								</u-form-item>
								<u-form-item label="档案分类:" borderBottom ref="item1" @click="chooseGd">
									<view :style="{color:content.typeId==null?'rgb(192, 196, 204)':''}">
										{{content.typeId==null?'请选择档案分类': content.gdtype}}
									</view>
								</u-form-item>
								<u-form-item label="打印份数:" borderBottom ref="item1">
									<u--input v-model="content.printNum" placeholder="请输入打印份数" border="none"></u--input>
								</u-form-item>
							</view>
							<!-- <view v-if="backType == true">
								<u-form-item label="退回节点:" borderBottom ref="item1">
									<uni-data-select v-model="content.returnToNodeID" placeholder="请选择节点" :clear="false"
										:localdata="backlist"></uni-data-select>
								</u-form-item>
								<u-form-item label="退回意见:" borderBottom ref="item1" >
									<u--textarea v-model="content.backMsg" placeholder="请输入退回意见" autoHeight
										border="none"></u--textarea>
								</u-form-item>
							</view> -->
							<!-- <view style="margin: 20rpx 0;padding: 0 20rpx;color:rgb(137, 139, 145);font-size: 30rpx;"
								v-if="content.isFeedback==='1' && nodeId == 308">
								注：当前节点可上传反馈文件，如需上传请在协同办公系统进行操作
							</view> -->
							<view style="margin-top: 40rpx;padding: 0 20rpx;box-sizing: border-box;"
								v-if="gdType == false">
								<u-button type="primary" text="提交" @click="submit"></u-button>
							</view>
							<view style="margin-top: 40rpx;padding: 0 20rpx;box-sizing: border-box;"
								v-if="gdType == true">
								<u-button type="primary" text="归档" @click="save"></u-button>
							</view>
							<view style="margin-top: 40rpx;padding: 0 20rpx;box-sizing: border-box;"
								v-if="yjType == true">
								<u-button type="warning" text="移交" @click="yjShow = true"></u-button>
							</view>
							<view style="margin-top: 40rpx;padding: 0 20rpx;box-sizing: border-box;"
								v-if="backType == true">
								<u-button type="error" text="退回" @click="show = true"></u-button>
							</view>
						</view>
						<view style="padding: 20rpx;box-sizing: border-box;" v-else>
							<u-steps :current="lzNum-1" direction="column" dot v-if="record != null">
								<view v-for="(v,i) in record" :key="i">
									<u-steps-item :error="v.ActionType==2?true:false"
										:title='v.NDFromT+"（"+v.ActionTypeText+"）"' v-if="v.ActionType==='28'">
										<view slot="desc" style="color: #606266">
											<view style="font-size: 28rpx;">
												处理人：{{v.EmpFromT}}
											</view>
											<view style="font-size: 28rpx;">
												到达时间：{{v.SDT}}
											</view>
										</view>
									</u-steps-item>
									<view v-else-if="v.ActionType22 != undefined">
										<u-steps-item :error="v.ActionType==2?true:false"
											v-for="(item,index) in v.ActionType22" :key="index"
											:title='item.NDFromT+"（"+v.ActionTypeText+"）"'>
											<view slot="desc" style="color:#606266;">
												<view style="font-size: 28rpx;">
													处理部门：{{item.NodeData.split("DeptName=")[1]}}
												</view>
												<view style="font-size: 28rpx;">
													处理人：{{item.Exer.split(',')[1]}}
												</view>
												<view style="font-size: 28rpx;">
													处理时间：{{item.RDT}}
												</view>
												<view style="font-size: 28rpx;">
													审核意见：{{item.Msg}}
												</view>
											</view>
										</u-steps-item>
									</view>
									<u-steps-item :error="v.ActionType==2?true:false"
										:title='v.NDFromT+"（"+v.ActionTypeText+"）"' v-else>
										<view slot="desc" style="color: #606266">
											<view style="font-size: 28rpx;">
												处理部门：{{v.NodeData.split("DeptName=")[1]}}
											</view>
											<view style="font-size: 28rpx;">
												处理人：{{v.Exer.split(',')[1]}}
											</view>
											<view style="font-size: 28rpx;">
												处理时间：{{v.RDT}}
											</view>
										</view>
									</u-steps-item>
								</view>
							</u-steps>
						</view>
					</u--form>
				</view>

			</swiper-item>
			<swiper-item>
				<view
					style="padding: 20rpx;box-sizing: border-box;width: 100%;box-sizing: border-box;height: 100%;overflow: auto;">
					<u-steps :current="lzNum-1" direction="column" dot v-if="record != null">
						<view v-for="(v,i) in record" :key="i">
							<u-steps-item :error="v.ActionType==2?true:false"
								:title='v.NDFromT+"（"+v.ActionTypeText+"）"' v-if="v.ActionType ==='28'">
								<view slot="desc" style="color: #606266">
									<view style="font-size: 28rpx;">
										处理人：{{v.EmpFromT}}
									</view>
									<view style="font-size: 28rpx;">
										到达时间：{{v.SDT}}
									</view>
								</view>
							</u-steps-item>
							<view v-else-if="v.ActionType22 != undefined">
								<u-steps-item :error="v.ActionType==2?true:false" v-for="(item,index) in v.ActionType22"
									:key="index" :title='item.NDFromT+"（"+v.ActionTypeText+"）"'>
									<view slot="desc" style="color:#606266;">
										<view style="font-size: 28rpx;">
											处理部门：{{item.NodeData.split("DeptName=")[1]}}
										</view>
										<view style="font-size: 28rpx;">
											处理人：{{item.Exer.split(',')[1]}}
										</view>
										<view style="font-size: 28rpx;">
											处理时间：{{item.RDT}}
										</view>
										<view style="font-size: 28rpx;">
											审核意见：{{item.Msg}}
										</view>
									</view>
								</u-steps-item>
							</view>
							<u-steps-item :error="v.ActionType==2?true:false"
								:title='v.NDFromT+"（"+v.ActionTypeText+"）"' v-else>
								<view slot="desc" style="color: #606266">
									<view style="font-size: 28rpx;">
										处理部门：{{v.NodeData.split("DeptName=")[1]}}
									</view>
									<view style="font-size: 28rpx;">
										处理人：{{v.Exer.split(',')[1]}}
									</view>
									<view style="font-size: 28rpx;">
										处理时间：{{v.RDT}}
									</view>
								</view>
							</u-steps-item>
						</view>
					</u-steps>
				</view>
			</swiper-item>
		</swiper>
		<u-modal :show="show" title="退回" :closeOnClickOverlay="true" showCancelButton @cancel="close" @close="close"
			@confirm="back">
			<view class="slot-content" style="width: 100%;">
				<u--form labelPosition="left" labelAlign="center" :model="content" ref="uForm1"
					:labelStyle="{fontSize:'32rpx'}" labelWidth="100">
					<u-form-item label="退回节点:" borderBottom ref="item1">
						<uni-data-select v-model="content.returnToNodeID" placeholder="请选择节点" :clear="false"
							:localdata="backlist"></uni-data-select>
					</u-form-item>
					<u-form-item label="退回意见:" borderBottom ref="item1">
						<u--textarea v-model="content.backMsg" placeholder="请输入退回意见" autoHeight
							border="none"></u--textarea>
					</u-form-item>
				</u--form>
			</view>
		</u-modal>
		<u-modal :show="yjShow" title="移交" :closeOnClickOverlay="true" showCancelButton @cancel="close1" @close="close1"
			@confirm="yijiao">
			<view class="slot-content" style="width: 100%;">
				<u--form labelPosition="left" labelAlign="center" :model="content" ref="uForm1"
					:labelStyle="{fontSize:'32rpx'}" labelWidth="100">
					<u-form-item label="移交人员:" borderBottom ref="item1">
						<uni-data-select v-model="content.toEmps" placeholder="请选择移交人员" :clear="false"
							:localdata="yjPeoList"></uni-data-select>
					</u-form-item>
					<u-form-item label="移交信息:" borderBottom ref="item1">
						<u--textarea v-model="content.yjMsg" placeholder="请输入移交信息" autoHeight
							border="none"></u--textarea>
					</u-form-item>
				</u--form>
			</view>
		</u-modal>
		<u-calendar placeholder="请选择日期" :show="show1" mode="single" allowSameDay @confirm="confirmOne"
			@close="show1 = false"></u-calendar>
	</view>
</template>

<script>
	export default {
		data() {
			return {
				miji: null,
				mijiList: [],
				typeDate: null,
				isEdit: false,
				show1: false, //日历
				deptList: [], //部门列表
				userList: [], //人员列表
				value: null,
				peoShow: false,
				listPic: [{
					name: '拍照上传'
				}, {
					name: '从相册上传'
				}],
				showUpload: false,
				uploadUrl: 'http://192.168.1.42:8087' + "/system/file/fileupload",
				rowThis: {
					ywFileList: []
				},
				current: 0,
				content: null,
				statusList: [],
				//流转记录
				record: null,
				//待办已办
				type: 0,
				//节点列表
				list: [],
				//是否选择下发人员
				selectType: 3,
				workid: null,
				flowNo: null,
				id: null,
				//tabs
				list1: [{
						name: '待办内容'
					},
					{
						name: '流转记录'
					}
				],
				DeliveryWay: null, //判断是否需要审核意见
				gd: null, //密级列表
				gdType: false, //判断是否是归档
				overType: false, //判断是否结束
				//上个页面传过来的参数
				parameter: null,
				//已下载附件
				list2: [],
				list3: [],
				//文件类型
				wjType: [],
				//退回状态
				backType: false,
				//退回节点列表
				backlist: [],
				//退回模态框
				show: false,
				//移交模态框
				yjType: false,
				yjShow: false,
				yjPeoList: [],
				//流转记录数量
				lzNum: 0,
				//当前节点id
				nodeId: null
			}
		},
		onLoad(options) {
			let that = this
			that.getDicts()
			that.getWjType()
			that.getContent(options.workid)
			that.getRecord(options.workid)
			that.parameter = options
			that.nodeId = options.nodeId
			if (options.nodeName.indexOf('归档') != -1) {
				that.gdType = true
				that.getgd()
			}
			if (options.nodeId == 308 || options.nodeId == 1208) {
				this.getYjPeo()
			}
			that.type = options.type
			that.workid = options.workid
			that.flowNo = options.flowNo
			uni.setNavigationBarTitle({
				title: options.title
			})
			uni.$u.http.get('/jflow/restful/getSelfParas?workid=' + options.workid).then((res) => {
				console.log('res', res)
				if (res.data.SelfParas == "isEdit") {
					this.isEdit = false;
				}
			})
		},
		onShow() {
			uni.$once('query', (query) => {
				if (query.a == 1) {
					this.content.users = getApp().globalData.peoIdList
					this.content.userList = getApp().globalData.peoList
					this.$forceUpdate()
				} else if (query.a == 2) {
					this.content.typeId = getApp().globalData.gdId.split(",")[0]
					this.content.gdtype = getApp().globalData.gdId.split(",")[1]
					this.$forceUpdate()
				}
			})
		},
		methods: {

			confirmOne() {

			},
			uploadPic() {
				this.showUpload = true
			},
			typeChange(e) {
				if (!this.isEdit) {
					this.show1 = true
					this.typeDate = e
				}

			},
			downLoad(path) {
				console.log('’', path)
				uni.downloadFile({
					url: path,
					success: (res) => {
						var filePath = res.tempFilePath;
						uni.openDocument({
							filePath: filePath,
							showMenu: true,
							success: function(res) {
								console.log('打开文档成功');
							}
						});
					}
				})
			},
			delFile(itemFile) {
				console.log('itemFILE', itemFile)
				this.rowThis.ywFileList.splice(itemFile, 1)
			},
			selectClick(index) {
				console.log(index)
				let that = this
				if (index.name == '拍照上传') {
					uni.chooseImage({
						count: 1, // 默认9，设置图片的数量
						sourceType: ['camera'], // 可以指定来源是相册还是相机，默认二者都有
						success: function(res) {
							// 返回选定照片的本地文件路径列表 tempFilePaths
							console.log(res.tempFilePaths);
							const pathUrl = res.tempFilePaths[0]
							uni.uploadFile({
								url: 'http://61.240.156.161:28188/prod-api' +
									"/system/file/fileupload",
								filePath: pathUrl,
								name: 'file',
								header: {
									Authorization: 'Bearer ' + uni.getStorageSync('token')
								},
								success: (response) => {
									console.log('1111111111111111')
									console.log('96+', response.data)
									console.log(that.rowThis)
									let dataFile = JSON.parse(response.data)
									that.rowThis.ywFileList.push(dataFile.data)
									// if (this.rowThis.ywFileList.length != 0) {
									// 	for (let i = 0; i < this.rowThis.ywFileList.length; i++) {
									// 		if (this.rowThis.ywFileList[i].response != undefined) {
									// 			this.dataSubmit.ywFileList.push(
									// 				this.rowThis.ywFileList[i].response.data
									// 			);
									// 		} else {
									// 			this.dataSubmit.ywFileList.push(this.rowThis
									// 				.ywFileList[i]);
									// 		}
									// 	}
									// }
									// this.dataSubmit.ywFileList.push()
								},
								fail: (response) => {
									console.log('fail', response)
								}
							})
						}
					});
				} else if (index.name == '从相册上传') {
					console.log('586', this.rowThis)
					uni.chooseImage({
						count: 1, // 默认9，设置图片的数量
						sizeType: ['original', 'compressed'], // 可以指定是原图还是压缩图，默认二者都有
						sourceType: ['album'], // 可以指定来源是相册还是相机，默认二者都有
						success: function(res) {
							// 返回选定照片的本地文件路径列表 tempFilePaths
							console.log(res);
							const pathUrl = res.tempFilePaths[0]
							uni.uploadFile({
								url: 'http://61.240.156.161:28188/prod-api' +
									"/system/file/fileupload",
								filePath: pathUrl,
								name: 'file',
								header: {
									Authorization: 'Bearer ' + uni.getStorageSync('token')
								},
								success: (response) => {
									console.log('1111111111111111')
									console.log('96+', response.data)
									console.log(that.rowThis)
									let dataFile = JSON.parse(response.data)
									that.rowThis.ywFileList.push(dataFile.data)
									console.log('that.rowThis.ywFileList', that.rowThis.ywFileList)

								},
								fail: (response) => {
									console.log('fail', response)
								}
							})
						}
					});
				}
				this.showUpload = false
			},
			click(e) {
				this.current = e.index
			},
			//查询收文详情
			getContent(id) {
				uni.$u.http.get('/offcial/receive/sel/' + id).then(res => {
					this.content = res.data
					console.log(this.content.feedbackFileList)
					this.content.workid = id
					if (this.gdType == true) {
						this.content.typeId = null //归档分类
						this.content.levels = null //密级
						this.content.archiveNo = null //档案编号
						this.content.archiveFormNo = null
						this.content.printNum = null //打印份数
						this.content.name = res.data.title //档案名称
						this.content.gdtype = null //分类名称
					}
					if (this.type == 0) {
						this.isOver(this.parameter)
						this.getBackNo(this.parameter.nodeId)

					}
					if (this.parameter.nodeId == 308 || this.parameter.nodeId == 1208) {
						this.content.toEmps = null //移交人员
						// this.content.toEmpsPeo = null //移交人员
						this.content.yjMsg = null //移交信息
						this.yjType = true
					}
					this.statusList.forEach(item => {
						if (item.dictValue == res.data.emergencyDegree) {
							this.content.status = item.dictLabel
						}
					})
					this.wjType.forEach(item => {
						if (item.dictValue == res.data.receiveType) {
							this.content.wjtype = item.dictLabel
						}
					})
					this.mijiList.forEach(item => {
						if (item.dictValue == res.data.degree) {
							this.content.miji = item.dictLabel
						}
					})
				})
			},
			// 查询字典数据详细  紧急程度
			getDicts() {
				uni.$u.http.get('/system/dict/data/type/urgent_type').then(res => {
					// this.statusList = res.data.map((item, index) => {
					// 	let obj = {
					// 		value: item.dictValue,
					// 		id: item.dictValue,
					// 		text: item.dictLabel
					// 	}
					// 	return obj
					// })
					this.statusList = res.data
				})
			},
			// 查询字典数据详细  文件类型
			getWjType() {
				uni.$u.http.get('/system/dict/data/type/sw_open_type').then(res => {
					// this.wjType = res.data.map((item, index) => {
					// 	let obj = {
					// 		value: item.dictValue,
					// 		id: item.dictValue,
					// 		text: item.dictLabel
					// 	}
					// 	return obj
					// })
					this.wjType = res.data
				})
			},
			getmiJi() {
				uni.$u.http.get('/system/dict/data/type/archive_levels').then(res => {
					// this.mijiList = res.data.map((item, index) => {
					// 	let obj = {
					// 		value: item.dictValue,
					// 		id: item.dictValue,
					// 		text: item.dictLabel
					// 	}
					// 	return obj
					// })
					this.mijiList = res.data
				})
			},
			//查询归档字典  秘籍
			getgd() {
				uni.$u.http.get('/system/dict/data/type/archive_levels').then(res => {
					this.gd = res.data.map((item, index) => {
						let obj = {
							value: item.dictCode,
							id: item.dictCode,
							text: item.dictLabel,
						}
						return obj
					})
				})
			},
			//查询流转记录
			getRecord(id) {
				uni.$u.http.get('/jflow/restful/getWfGenerWorkList', {
					params: {
						workID: id,
						token: uni.getStorageSync('jtoken')
					}
				}).then(res => {
					// console.log(res)
					this.record = res.trackList
					for (let i in res.trackList) {
						if (res.trackList[i].ActionType !== '28') {
							if (res.trackList[i].ActionType22 != undefined) {
								this.lzNum = this.lzNum + res.trackList[i].ActionType22.length
							} else {
								this.lzNum = this.lzNum + 1
							}
						}
					}
					if (this.type == 0) {
						// this.content.jdindex = null 
						// this.content.nodeId = null 
						// this.content.optionName = null 
						this.content.reviewMsg = null //审批意见
						this.content.users = null //发送给指定人员
						this.content.userList = null //人员列表
						// this.id = this.list[0].id
						// this.content.jdindex = 0 //下一节点索引
						// this.DeliveryWay = this.list[0].DeliveryWay //下一节点状态
						// this.content.toNodeId = this.list[0].id //下一节点ID
						// this.content.nodeId = this.list[0].id //下一节点ID
						// this.content.optionName = this.list[0].text //节点名称
					}
				})
			},
			//查询下一步所有节点
			jdList(id, flow) {
				uni.$u.http.get('/jflow/restful/GenerNextStepAllNode', {
					params: {
						workid: id,
						token: uni.getStorageSync('jtoken'),
						flowNo: flow
					}
				}).then(res => {
					this.id = res[0].NodeID
					this.content.jdindex = 0 //下一节点索引
					this.DeliveryWay = res[0].DeliveryWay //下一节点状态
					this.content.toNodeId = res[0].NodeID //下一节点ID
					this.content.nodeId = res[0].NodeID //下一节点ID
					this.content.optionName = res[0].Name //节点名称
					this.list = res.map((item, index) => {
						let obj = {
							value: index,
							id: item.NodeID,
							text: item.Name,
							DeliveryWay: item.DeliveryWay
						}
						return obj
					})

				})
			},
			//节点选择
			change(e) {
				if (e >= 0) {
					this.id = this.list[e].id
					this.DeliveryWay = this.list[e].DeliveryWay
					this.content.toNodeId = this.list[e].id
					this.content.nodeId = this.list[e].id
					this.content.optionName = this.list[e].text
				}

			},
			//选择人员相关
			choosePeo() {
				if (this.id == null) {
					uni.showToast({
						title: "请先选择下一节点",
						icon: "none"
					})
				} else {
					uni.navigateTo({
						url: `/pages/peoChoose/peoChoose?workid=${this.workid}&flowNo=${this.flowNo}&id=${this.id}`,
					})
				}
			},
			//选择归档分类
			chooseGd() {
				uni.navigateTo({
					url: "/pages/file/file"
				})
			},
			//判断是否为最后一步
			isOver(v) {
				uni.$u.http.get("/jflow/restful/judgeNode", {
					params: {
						nodeId: v.nodeId
					}
				}).then(res => {
					// console.log(res)
					if (res.msg == "Y") {
						this.overType = true
					} else {
						this.overType = false
						if (this.nodeId != '308') {
							this.jdList(v.workid, v.flowNo)
						}
					}
				})
			},
			//提交待办
			submit() {
				if (this.overType == false && this.id == null) {
					uni.showToast({
						title: "请先选择下一节点",
						icon: "none"
					})
				} else if (this.content.users == null && this.DeliveryWay == 4) {
					uni.showToast({
						title: "请选择人员",
						icon: "none"
					})
				} else if (this.content.reviewMsg == null) {
					uni.showToast({
						title: "请填写审核意见",
						icon: "none"
					})
				} else {
					uni.showLoading({
						title: "提交中...",
						mask: true
					})
					this.content.feedbackFileList.push({
						fileId: this.rowThis.ywFileList.fileId,
						userName: this.rowThis.ywFileList.createBy,
					})
					uni.$u.http.put('/offcial/receive', this.content).then((res) => {
						console.log(res)
					})
					uni.$u.http.post("/offcial/receive/sendFlowToUsers", this.content, {
						header: {
							// 'content-Type: 'multipart/form-data'
							'content-Type': 'application/x-www-form-urlencoded'
						}
					}).then(res => {
						// console.log(res)
						if (res.data.VarAcceptersName != "" && res.data.VarAcceptersName != "结束") {
							uni.showToast({
								title: "已发送到" + res.data.VarToNodeName + "节点，接收人：" + res
									.data.VarAcceptersName,
								icon: "none",
								mask: true,
								duration: 2000
							})
						} else if (res.data.VarAcceptersName == "结束") {
							uni.showToast({
								title: res.data.Message,
								icon: "none",
								mask: true,
								duration: 2000
							})
						} else {
							uni.showToast({
								title: res.data.Message.replace(/[@]/g, ""),
								icon: "none",
								mask: true,
								duration: 2000
							})
						}

						uni.$emit('query', {
							a: 'back'
						})
						setTimeout(() => {
							uni.navigateBack()
						}, 2000)
					}).catch(res => {
						uni.hideLoading()
					})
				}
			},
			//保存归档
			save() {
				// if (this.content.levels == null) {
				// 	uni.showToast({
				// 		title: "请选择密级",
				// 		icon: "none"
				// 	})
				// } else 
				if (this.content.archiveNo == null) {
					uni.showToast({
						title: "请填写档案编号",
						icon: "none"
					})
				} else if (this.content.typeId == null) {
					uni.showToast({
						title: "请选择归档分类",
						icon: "none"
					})
				} else if (this.content.printNum == null || this.content.printNum < 1 || this.content.printNum % 1 != 0) {
					uni.showToast({
						title: "请填写打印份数",
						icon: "none"
					})
				} else {
					this.content.reviewMsg = "同意"
					uni.showLoading({
						title: "提交中...",
						mask: true
					})
					uni.$u.http.post("/offcial/archive/save", this.content).then(res => {
						uni.$u.http.get('/jflow/restful/GenerNextStepAllNode', {
							params: {
								workid: this.parameter.workid,
								token: uni.getStorageSync('jtoken'),
								flowNo: this.parameter.flowNo,
							}
						}).then(qwe => {
							uni.hideLoading()
							uni.showToast({
								title: "归档成功",
								icon: "none",
								mask: true,
								duration: 2000
							})
							uni.$emit('query', {
								a: 'back'
							})
							setTimeout(() => {
								uni.navigateBack()
							}, 2000)
						})
					}).catch(res => {
						uni.hideLoading()
					})
				}
			},
			//下载附件
			downLoad(v) {
				let that = this
				uni.navigateTo({
					url: "/pages/office/office?url=" + getApp().globalData.saveUrl + v
				})
				// uni.showLoading({
				// 	title:"打开中...",
				// })
				// if(that.list3.indexOf(v) == -1){
				// 	uni.downloadFile({
				// 	  url:getApp().globalData.saveUrl+v,
				// 	  success: function(res) {
				// 	    if (res.statusCode === 200) {
				// 			that.list3.push(v)
				// 			that.list2.push(res.tempFilePath)
				// 	      uni.openDocument({
				// 	        filePath: res.tempFilePath,
				// 			success: function (res) {
				// 				uni.hideLoading();
				// 			}
				// 	      });
				// 	    }else{
				// 			uni.hideLoading()
				// 			uni.showToast({
				// 				title:"下载失败",
				// 				icon:'none'
				// 			})
				// 		}
				// 	  },fail:function(){
				// 		  uni.hideLoading()
				// 		  uni.showToast({
				// 		  	title:"下载失败",
				// 			icon:'none'
				// 		  })
				// 	  }
				// 	});
				// }else{
				// 	uni.openDocument({
				// 	  filePath: that.list2[that.list3.indexOf(v)],
				// 	  success: function (res) {
				// 	  	uni.hideLoading();
				// 	  }
				// 	});
				// }
			},
			//查询是否能退回
			getBackNo(id) {
				uni.$u.http.get("/jflow/restful/CurrNodeInfo?currNodeID=" + id).then(res => {
					if (res[0].ReturnRole != 0) {
						this.getBackList()
						this.backType = true
						this.content.returnToNodeID = null
						this.content.backMsg = null
					}
				})
			},
			//获取退回节点列表
			getBackList() {
				uni.$u.http.get("/jflow/restful/getReturnWorkNode", {
					params: {
						workid: this.parameter.workid,
						token: uni.getStorageSync('jtoken')
					}
				}).then(res => {
					this.backlist = res.map((item, index) => {
						let obj = {
							value: item.No,
							id: item.No,
							text: item.Name,
						}
						return obj
					})
				})
			},
			//退回上一节点
			back() {
				if (this.content.returnToNodeID == null) {
					uni.showToast({
						title: "请选择退回节点",
						icon: "none"
					})
				} else if (this.content.backMsg == null) {
					uni.showToast({
						title: "请填写退回意见",
						icon: "none"
					})
				} else {
					uni.showLoading({
						title: "退回中...",
					})
					uni.$u.http.get("/offcial/receive/NodeReturnWork", {
						params: {
							workid: this.parameter.workid,
							returnToNodeID: this.content.returnToNodeID,
							returnMsg: this.content.backMsg
						}
					}).then(res => {
						uni.hideLoading()
						this.close()
						uni.showToast({
							title: res,
							icon: "none",
							duration: 2000
						})
						uni.$emit('query', {
							a: 'back'
						})
						setTimeout(() => {
							uni.navigateBack()
						}, 2000)
					}).catch(error => {
						uni.hideLoading()
						uni.showToast({
							title: "请稍后重试",
							icon: "none"
						})
					})
				}

			},
			//关闭模态框
			close() {
				this.content.returnToNodeID = null
				this.content.backMsg = null
				this.show = false
			},
			//关闭模态框
			close1() {
				this.content.toEmps = null
				this.content.yjMsg = null
				this.yjShow = false
			},
			//移交
			yijiao() {
				if (this.content.toEmps == null) {
					uni.showToast({
						title: "请选择移交人员",
						icon: "none"
					})
				} else if (this.content.yjMsg == null) {
					uni.showToast({
						title: "请填写移交信息",
						icon: "none"
					})
				} else {
					uni.showLoading({
						title: "移交中...",
					})
					uni.$u.http.get("/jflow/restful/Node_Shift", {
						params: {
							workid: this.parameter.workid,
							toEmps: this.content.toEmps,
							msg: this.content.yjMsg
						}
					}).then(res => {
						uni.hideLoading()
						if (res.msg.indexOf('err') != -1) {
							uni.showToast({
								title: res.msg,
								icon: "none",
								duration: 2000
							})
						} else {
							this.close1()
							uni.showToast({
								title: res.msg.split('@')[0],
								icon: "none",
								duration: 2000
							})
							uni.$emit('query', {
								a: 'back'
							})
							setTimeout(() => {
								uni.navigateBack()
							}, 2000)
						}

					}).catch(error => {
						uni.hideLoading()
						uni.showToast({
							title: error.msg.split('@')[1],
							icon: "none"
						})
					})
				}

			},
			//查询移交人员
			getYjPeo() {
				uni.$u.http.get('/jflow/restful/selectDpPersons').then(res => {
					console.log(res)
					this.yjPeoList = res.Emps.map((item, index) => {
						let obj = {
							value: item.no,
							id: item.no,
							text: item.name,
						}
						return obj
					})

				})
			}
		}
	}
</script>

<style lang="scss" scoped>
	.content {
		font-size: 32rpx;
	}

	.tab {
		width: 48%;
		height: 100%;
		box-sizing: border-box;
		display: flex;
		align-items: center;
		justify-content: center;
	}

	.active {
		color: #2979ff
	}

	::v-deep .u-modal {
		overflow: visible;
	}

	::v-deep .u-popup__content {
		overflow: visible !important;
	}
</style>